Page MenuHomePhabricator

Link to Special:MultiLock on Special:CheckUser "get users" display is broken when there is a "&" char in a selected username
Closed, ResolvedPublic

Description

Link to Special:MultiLock on Special:CheckUser "get users" display is broken when there is a "&" char in a selected username.
The list in Special:MultiLock is partially generated and it ends with the part of the username before the "&" char.

Event Timeline

Melos created this task.Aug 11 2017, 12:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2017, 12:18 PM
Melos triaged this task as Normal priority.Aug 11 2017, 12:20 PM
Melos updated the task description. (Show Details)

Change 371631 had a related patch set uploaded (by Melos; owner: Melos):
[mediawiki/extensions/CheckUser@master] Bug: T173083 Use encodeURIComponent to encode usernames with special chars.

https://gerrit.wikimedia.org/r/371631

Change 371631 had a related patch set uploaded (by MarcoAurelio; owner: Melos):
[mediawiki/extensions/CheckUser@master] Use encodeURIComponent to encode usernames with special chars

https://gerrit.wikimedia.org/r/371631

Change 371631 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Use encodeURIComponent to encode usernames with special chars

https://gerrit.wikimedia.org/r/371631

Melos closed this task as Resolved.Aug 12 2017, 8:26 PM
Melos claimed this task.

Thanks @Melos for the fix and @Krenair for your code-review.

MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Aug 28 2017, 1:06 PM